Bug 156383 - Newer kernels cause problems for WordPerfect 8
Newer kernels cause problems for WordPerfect 8
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-29 11:48 EDT by james
Modified: 2015-01-04 17:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-15 22:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description james 2005-04-29 11:48:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 7.54  [en]

Description of problem:
With at least kernel-2.6.10-1.770_FC3 and kernel-2.6.11-1.14_FC3, when WordPerfect 8 
xwp is started, the WordPerfect print server wpexc will crash with a SIGSEGV when 
started by xwp.  With the 2.6.9 and earlier kernels, there has never been this kind 
of problem with WordPerfect 8.

WordPerfect 8 uses the libc5 compatability libraries.  I have many documents and 
templates in WP format, so trashing WordPerfect is not an option.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual Results:  xwp opens an Error window with the message "Cannot create a new process".  wpexc has 
crashed.  xwp will restart wpexc, but the usual wpexc files in /tmp/wpc-<hostname>/ 
are not created, and xwp cannot connect to the print server.

Additional info:
Comment 1 Dave Jones 2005-05-01 03:33:32 EDT
Can you attach the output of 'dmesg' after its crashed ?

if you do..

echo 0 > /proc/sys/kernel/exec-shield

as root, and then start xwp, does it work ?

Another thing to try..

echo 0 > /proc/sys/kernel/randomize_va_space

or maybe..

echo 1 > /proc/sys/vm/legacy_va_layout

If one of those makes it work, it'll narrow things down a little where the
problem is.
Comment 2 james 2005-05-04 18:40:16 EDT
No joy so far...

Nothing is added to dmesg by the wpexc crash or the wpexc restart.
Changing the flags makes no difference.

Hopefully, even a null result says something useful.

I notice that when wpexc starts, either manually or from xwp, it writes some files 
successfully to /tmp/wpc-<hostname>/, but the pipe "excmsg8" is not created.  Is 
there anything in the new kernel that might prevent wpexc from creating a pipe in the 
tmp directory?
Comment 3 Dave Jones 2005-05-10 15:59:39 EDT
the pipe code did get quite a workout circa 2.6.10 iirc, so that could certainly
explain things. Can you strace -f the process and find out what it was doing ?
hopefully we can construct a reproducer from that.
Comment 4 james 2005-05-11 00:38:43 EDT
Frustratingly, wpexc attempts to block SIGTRAP, and this doesn't play well with trace.  All I get is
 9231  sigaction(SIGTRAP, {0x8050090, [], SA_INTERRUPT|SA_NOMASK|SA_ONESHOT}, {0xbffff51c, ~[HUP 
INT ILL ABRT BUS USR1 USR2 SYS], 0}, 0) = ? ERESTARTNOINTR (To be restarted)
looping until a control-C.  If you have any ideas about getting around this, let me know.  Is there any other tracing 
tool to try?
Comment 5 Chris Slack 2005-05-16 07:09:08 EDT
I am seeing what appears to be the same problem currrently under RH ES4.  I am 
using the 2.6.9-5.EL kernel.  I am attempting to run the text version of WP and 
get the error "Could not create a new process -- wpexc" when trying to startup 
WP.  If I execute wpexc by itself it seems to start, at least it stays running 
in the process table.

We are using WP extensively for some maritime reporting features so, 
unfortunately, we can't abondon it yet.  If this sheds any light on anything or 
if I can help to test anything out or provide more information please let me 
Comment 6 Dave Jones 2005-07-15 14:55:01 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 james 2005-07-15 19:45:14 EDT
Thanks.  I've since upgraded to FC4 and kernel-2.6.12-1.1390_FC4, and I see that
this bug is gone.   I also checked kernel-2.6.12-1.1372_FC3 on another machine
and also, this bug is gone.  Great!

Note You need to log in before you can comment on or make changes to this bug.